 @import url('https://fonts.cdnfonts.com/css/pp-neue-montreal');
 @import url("https://fonts.googleapis.com/css?family=Roboto:400,700");
 @import url('https://fonts.googleapis.com/css2?family=Poppins:wght@600&display=swap');
 @import url('https://db.onlinewebfonts.com/c/67821e7ef9a2952d6e7757a6cae5a826?family=Novecento+WideBold');
 @import url(https://db.onlinewebfonts.com/c/7bec814954d059a7e7dae047285eedbc?family=Satoshi+Medium);
 @import url(https://db.onlinewebfonts.com/c/6524255507145ca199b7554d8526bdd0?family=Prociono);
 @import url(https://db.onlinewebfonts.com/c/be7d12601306f9f1b7aac9eca131fc8f?family=AkzidenzGrotesk);
 @import url(https://db.onlinewebfonts.com/c/214dd8afc399412820f14dd64245b5ba?family=Work+Sans);
 @import url(https://db.onlinewebfonts.com/c/04c4a36facccf2d0906a0f1ed61036ef?family=Favorit+Medium);
 @import url(https://db.onlinewebfonts.com/c/e4615d59604d3d0bb8376f5e258aee4d?family=General+Sans+Semibold+Italic);
 @import url(https://db.onlinewebfonts.com/c/0ea33830686c6ee0453b626d9aac208e?family=Helvetica);
 @import url(https://db.onlinewebfonts.com/c/b52804ac57ef6e90d2826a6b0f111133?family=Integral+CF+Bold);
 @import url(https://db.onlinewebfonts.com/c/b52804ac57ef6e90d2826a6b0f111133?family=Integral+CF+Bold);
 *{
     margin: 0;
     padding: 0;
     box-sizing: border-box;
     font-family: "Poppins", cursive;
     font-size: xx-small;                                                                                                    
 }
 body {
     min-height: 100vh;
     /*background: url('backgroundProviDesidia.png') no-repeat center center fixed; */
     background-color: rgb(255, 255, 255);
     background-size: cover;
 }
 /*Header y navbar, iconos y responsive, menu ------------------------- */
 .header {
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 7.7rem;
    padding: 1.5rem 6%;
    display: flex;
    justify-content: space-between;
    align-items: center;
    z-index: 100;
}
.header * {
    transition: color 0.3s ease, transform 0.3s ease;
}
.header::before {
    content: '';
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background: rgba(0, 0, 0, .1); 
    backdrop-filter: blur(15px); 
    z-index: -1;
}
.header::after {
    content: '';
    position: absolute;
    top: 0;
    left: -100%;
    width: 100%;
    height: 100%;
    background: linear-gradient(90deg, transparent, rgba(255, 255, 255, .4), transparent);
    transition: .5s;
}
.header:hover::after {
    left: 100%;
}
.logo {
    font-size: 2rem;
    color: rgb(255, 255, 255); 
    text-decoration: none;
    font-weight: 700;
}
.logo:hover {
    color: #2AEC88;
    transform: scale(1.1);
}
.navbar a {
    font-family: 'Novecento WideBold';
    font-size: 1.5rem;
    color: #fff;
    text-decoration: none;
    font-weight: 500;
    margin-left: 2.5rem;
}
.navbar a:hover {
    color: #2AEC88;
    transform: scale(1.1);
}
.navbar a.active {
    color: rgb(88, 183, 255);
    transform: scale(1.1);
}
.header .navbar a i {
    padding: 0 0.3rem;
    font-size: 1.7rem;
}
#check {
    display: none;
}
.icons {
    position: absolute;
    right: 5%;
    font-size: 2.8rem;
    color: #fff;
    cursor: pointer;
    display: none;
}
.icons #menu-icon,
.icons #close-icon {
    font-size: 3.2rem;
}
.icons #menu-icon:hover {
    color: #2AEC88;
}
.icons #close-icon:hover {
    color: #2AEC88;
}
/*BREAKPOINTS*/
@media (max-width: 992px){
.header {
    padding: 1.3rem 5%;
}
}
@media (max-width: 768px) {
.icons {
    display: inline-flex;
}
#check:checked~.icons #menu-icon {
    display: none;
}
.icons #close-icon {    
    display: none;
}
#check:checked~.icons #close-icon {
    display: block;
}
.navbar {
    position: absolute;
    top: 100%;
    left: 0;
    width: 100%;
    height: 0;
    background: rgba(0, 0, 0, .1);
    backdrop-filter: blur(15px);
    box-shadow: 0 .5rem 1rem rgba(0, 0, 0, .1);
    overflow: hidden;
    transition: .3s ease;
}
#check:checked~.navbar {
    height: 22.7rem;
}
.navbar a {
    display: block;
    font-size: 1.25rem;
    margin: 1.5rem 0;
    text-align: center;
    transform: translateY(-50px);
    opacity: 0;
    transition: .3s ease;
}
#check:checked ~ .navbar a {
    transform: translateY(0);
    opacity: 1;
    transition-delay: calc(.15s * var(--i));
}
.navbar a i {
    display: block;
    font-size: 2rem;
}
}  

 .container {
    position: relative;
    width: 100%;
    height: 100vh;
    display: flex;
    justify-content: center;
    align-items: center;
    overflow: hidden;
    background-color: rgb(255, 2, 2);
    perspective: 1px;
    transform-style: preserve-3d;
}

.container h1 {
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    text-align: center;
    font-family: 'Integral CF Bold', sans-serif;
    font-weight: 400;
    font-size: 85px;
    letter-spacing: 5px;
    color: rgb(0, 0, 0);
    text-transform: uppercase;
    line-height: 120%;
    z-index: 1;
    text-shadow: 2px 2px 5px rgba(221, 10, 10, 0.2);
}




.items {
    position: fixed;
    top: 0;
    left: 0;
    width: 100vw;
    height: 100vh;
    z-index: 2;
    transform: translateZ(-1px) scale(2);
}

.item {
    position: absolute;
    width: 150px;
    height: 200px;
    background: black;
    overflow: hidden;
}

.item img {
    width: 100%;
    height: 100%;
    object-fit: cover;
    margin: 1px;
}






main {
    padding: 35px;
    background-color: #f9f9f9;
    margin-top: 2rem;
}

.articles {
    display: grid;
    grid-template-columns: repeat(auto-fill, minmax(300px, 1fr));
    grid-row-gap: 40px; /* Ajusta este valor según tus necesidades */
    grid-column-gap: 20px; /* Opcional, para ajustar la separación horizontal */
    /* O simplemente gap para ambas separaciones */
    gap: 70px 40px; /* El primer valor es la separación horizontal, el segundo es la vertical */
}


article {
    background-color: #fff;
    border: 2px solid #848484;
    border-radius: 8px;
    overflow: hidden;
    width: 100%;
}
article:hover {
    transform: scale(1.02);
    transition: all 0.3s ease; /* Ajustado para una transición más suave */
}


article img {
    width: 100%;
    height: 350px; /* Ajusta la altura de la imagen */
    object-fit: cover; /* Hace que la imagen cubra el área sin deformarse */
    display: block;
}

article .content {
    padding: 15px; /* Reduce el padding para hacer las cards más compactas */
}


article h2 {
    text-align: center;
    margin: 0 0 4px;
    font-size: 23px; /* Ajusta el tamaño de la fuente para un mejor equilibrio */
}
article h2:hover{
   color: #09a277; /* Ajusta el tamaño de la fuente para un mejor equilibrio */
}
article h3 {
    text-align: center;
    padding: auto;
    color: black;
    font-size: 18px; /* Ajusta el tamaño de la fuente para un mejor equilibrio */
}

article p {
    margin: 0 0 5px;
    font-size: 14px; 
    color: #393939;/* Ajusta el tamaño de la fuente para un mejor equilibrio */
}



article p {
    text-align: center;
    letter-spacing: 0.7px;
    padding: 7px;
    margin: 0 0 5px;
    font-size: 15px;
}

/* Media Queries */
@media (max-width: 768px) {
    .container h1 {
        font-size: 60px;
    }

    .item {
        width: 100px;
        height: 150px;
    }

    .articles {
        gap: 20px;
    }

    article h2 {
        font-size: 2.3rem;
    }

    article h3 {
        font-size: 2rem;
    }

    article p {
        font-size: 1.7rem;
    }
}

@media (max-width: 480px) {
    .container h1 {
        font-size: 3rem;
    }

    .item {
        width: 130px;
        height: 180px;
    }

    .articles {
        gap: 10px;
    }
}